org.apache.lucene.search

## Class MultiRangeQuery.RangeClause

- java.lang.Object
- - org.apache.lucene.search.MultiRangeQuery.RangeClause

- Enclosing class:
    MultiRangeQuery

      public static class MultiRangeQuery.RangeClause
      extends Object

  Representation of a single clause in a MultiRangeQuery

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeClause(byte[] lowerValue, byte[] upperValue)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RangeClause

          public RangeClause(byte[] lowerValue,
                             byte[] upperValue)

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.